/**
 * Copyright 2023-present DreamNum Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
declare const locale: {
    sheet: {
        cf: {
            title: string;
            menu: {
                manageConditionalFormatting: string;
                createConditionalFormatting: string;
                clearRangeRules: string;
                clearWorkSheetRules: string;
            };
            form: {
                lessThan: string;
                lessThanOrEqual: string;
                greaterThan: string;
                greaterThanOrEqual: string;
                rangeSelector: string;
            };
            iconSet: {
                direction: string;
                shape: string;
                mark: string;
                rank: string;
                rule: string;
                icon: string;
                type: string;
                value: string;
                reverseIconOrder: string;
                and: string;
                when: string;
                onlyShowIcon: string;
            };
            symbol: {
                greaterThan: string;
                greaterThanOrEqual: string;
                lessThan: string;
                lessThanOrEqual: string;
            };
            panel: {
                createRule: string;
                clear: string;
                range: string;
                styleType: string;
                submit: string;
                cancel: string;
                rankAndAverage: string;
                styleRule: string;
                isNotBottom: string;
                isBottom: string;
                greaterThanAverage: string;
                lessThanAverage: string;
                medianValue: string;
                fillType: string;
                pureColor: string;
                gradient: string;
                colorSet: string;
                positive: string;
                native: string;
                workSheet: string;
                selectedRange: string;
                managerRuleSelect: string;
                onlyShowDataBar: string;
            };
            preview: {
                describe: {
                    beginsWith: string;
                    endsWith: string;
                    containsText: string;
                    notContainsText: string;
                    equal: string;
                    notEqual: string;
                    containsBlanks: string;
                    notContainsBlanks: string;
                    containsErrors: string;
                    notContainsErrors: string;
                    greaterThan: string;
                    greaterThanOrEqual: string;
                    lessThan: string;
                    lessThanOrEqual: string;
                    notBetween: string;
                    between: string;
                    yesterday: string;
                    tomorrow: string;
                    last7Days: string;
                    thisMonth: string;
                    lastMonth: string;
                    nextMonth: string;
                    thisWeek: string;
                    lastWeek: string;
                    nextWeek: string;
                    today: string;
                    topN: string;
                    bottomN: string;
                    topNPercent: string;
                    bottomNPercent: string;
                };
            };
            operator: {
                beginsWith: string;
                endsWith: string;
                containsText: string;
                notContainsText: string;
                equal: string;
                notEqual: string;
                containsBlanks: string;
                notContainsBlanks: string;
                containsErrors: string;
                notContainsErrors: string;
                greaterThan: string;
                greaterThanOrEqual: string;
                lessThan: string;
                lessThanOrEqual: string;
                notBetween: string;
                between: string;
                yesterday: string;
                tomorrow: string;
                last7Days: string;
                thisMonth: string;
                lastMonth: string;
                nextMonth: string;
                thisWeek: string;
                lastWeek: string;
                nextWeek: string;
                today: string;
            };
            ruleType: {
                highlightCell: string;
                dataBar: string;
                colorScale: string;
                formula: string;
                iconSet: string;
                duplicateValues: string;
                uniqueValues: string;
            };
            subRuleType: {
                uniqueValues: string;
                duplicateValues: string;
                rank: string;
                text: string;
                timePeriod: string;
                number: string;
                average: string;
            };
            valueType: {
                num: string;
                min: string;
                max: string;
                percent: string;
                percentile: string;
                formula: string;
                none: string;
            };
            errorMessage: {
                notBlank: string;
                formulaError: string;
                rangeError: string;
            };
        };
    };
};
export default locale;
